const algolia = require('algoliasearch')
const settings = require('./settings').algolia

class AlgoliaClient {
  constructor(appId = settings.app_id, apiKey = settings.api_key, indexName = settings.index) {
    this.transport = algolia(appId, apiKey)
    this.index = this.transport.initIndex(indexName)
  }

  retrieveObject(itemId) {
    return new Promise((resolve, reject) => {
      this.index.getObject(itemId, (err, response) => {
        if (err) reject(err)
        else resolve(response)
      })
    })
  }

  retrieveObjectAttributes(itemId, attrs) {
    return new Promise((resolve, reject) => {
      this.index.getObject(itemId, attrs, (err, response) => {
        if (err) reject(err)
        else resolve(response)
      })
    })
  }

  static retrieveObjectAttributes(itemId, attrs) {
    return new AlgoliaClient().retrieveObjectAttributes(itemId, attrs)
  }
}

module.exports = AlgoliaClient
