const settings = require('./settings').facebook
const BaseAPIClient = require('./BaseAPIClient')

class FacebookGraphAPIClient extends BaseAPIClient {
  constructor(appId = settings.app_id, appSecret = settings.app_secret, baseURI = settings.base_uri) {
    super(baseURI, { json: true })
    this.appId = appId
    this.appSecret = appSecret
  }

  get accessToken() {
    return `${this.appId}|${this.appSecret}`
  }

  createTestUser(options = { installed: true, permissions: 'email,user_friends,user_location' }) {
    return this.execute('POST', `${this.appId}/accounts/test-users`, { form: options })
  }

  deleteUser(id) {
    return this.execute('DELETE', id)
  }

  execute(method, route, options = {}) {
    const key = options.form ? 'form' : 'qs'
    options[key] = Object.assign({ access_token: this.accessToken }, options[key] || {})
    return super.execute(method, route, options)
  }
}
module.exports = FacebookGraphAPIClient
