const { CURRENT_MODE, STAGING_MODE, DEVELOP_MODE, PRODUCTION_MODE } = require('./mode')

const settings = {
  facebook: {
    app_id: '846734502060775',
    app_secret: 'dd4470709a1f4bbd481ea8d6dc4ca6af',
    base_uri: 'https://graph.facebook.com/v2.9'
  },
  gmail: (mode => {
    switch (mode) {
      case PRODUCTION_MODE:
        return {
          username: 'tests',
          domain: 'thinkigo.ee',
          password: 'jJqLxtChFiFV,mB8wPVNCZknTHWmCfg'
        }
      case STAGING_MODE:
      case DEVELOP_MODE:
        return {
          username: 'tests1',
          domain: 'thinkigo.ee',
          password: 'rqTABXdjrHkh9CXuHxmNMaRufN(dYPLQ'
        }
      default:
        return {
          username: 'tests2',
          domain: 'thinkigo.ee',
          password: 'sCFHLGWuLHs(EgxHUEPEXpDcp2RfEJVE'
        }
    }
  })(CURRENT_MODE),
  consumer_api: (mode => {
    switch (mode) {
      case PRODUCTION_MODE:
        return {
          base_uri: 'https://api.thinkigo.ee'
        }
      case STAGING_MODE:
      case DEVELOP_MODE:
        return {
          base_uri: 'https://staging-api.thinkigo.ee'
        }
      default:
        return {
          base_uri: 'http://django:8000'
        }
    }
  })(CURRENT_MODE),
  admin_api: (mode => {
    switch (mode) {
      case PRODUCTION_MODE:
        return {
          email: 'tests+employee@thinkigo.ee',
          password: 'tests@r3great!',
          base_uri: 'https://admin.thinkigo.ee',
          api_key: 'z9NgTDWA1AnHX54FsNwnoC0OWWAFUeqx'
        }
      case STAGING_MODE:
        return {
          email: 'tests+employee@thinkigo.ee.staging',
          password: 'tests@r3great!',
          base_uri: 'https://staging-admin.thinkigo.ee',
          api_key: 'z9NgTDWA1AnHX54FsNwnoC0OWWAFUeqx'
        }
      case DEVELOP_MODE:
        return {
          email: 'tests+employee@thinkigo.ee.staging',
          password: 'tests@r3great!',
          base_uri: 'https://develop-admin.thinkigo.ee',
          api_key: 'z9NgTDWA1AnHX54FsNwnoC0OWWAFUeqx'
        }
      default:
        return {
          email: 'tests+employee@thinkigo.ee',
          password: 'tests@r3great!',
          base_uri: 'http://admin:8081',
          api_key: 'z9NgTDWA1AnHX54FsNwnoC0OWWAFUeqx'
        }
    }
  })(CURRENT_MODE),
  twilio: (mode => {
    switch (mode) {
      case PRODUCTION_MODE:
        return {
          account_sid: 'AC31c57bdf4aa983ac76737ce5f1e80ded',
          auth_token: '983e2196cc088bf35fad2a18e4de5c8c',
          number: '+14088316785',
          bypass_code: '666666'
        }
      case STAGING_MODE:
      case DEVELOP_MODE:
        return {
          account_sid: 'AC31c57bdf4aa983ac76737ce5f1e80ded',
          auth_token: '983e2196cc088bf35fad2a18e4de5c8c',
          number: '+14087525394',
          bypass_code: '666666'
        }
      default:
        return {
          account_sid: 'AC31c57bdf4aa983ac76737ce5f1e80ded',
          auth_token: '983e2196cc088bf35fad2a18e4de5c8c',
          number: '+14087824914',
          bypass_code: '666666'
        }
    }
  })(CURRENT_MODE),
  algolia: (mode => {
    switch (mode) {
      case PRODUCTION_MODE:
        return {
          app_id: 'MW36KKMWTK',
          // Search-only API key for frontend uses
          api_key: 'bd585a7517da6698fa9140272f3a0dba',
          index: 'items_prod'
        }
      case STAGING_MODE:
      case DEVELOP_MODE:
        return {
          app_id: 'MW36KKMWTK',
          api_key: 'bd585a7517da6698fa9140272f3a0dba',
          index: 'items'
        }
      default:
        return {
          app_id: 'MW36KKMWTK',
          api_key: 'bd585a7517da6698fa9140272f3a0dba',
          index: 'items'
        }
    }
  })(CURRENT_MODE),
  coupon: {
    code: 'THINKIGOLOVE',
    credit_amount: 25.00
  },
  referral: {
    code: 'TEST',
    credit_amount: 25.00
  },
  inventory: (mode => {
    switch (mode) {
      case PRODUCTION_MODE:
        return {
          bins: ['CN1001655', 'CN1000723'],
          locations: ['003.H1.06.03.01', '003.E1.02.03.01']
        }
      case STAGING_MODE:
      case DEVELOP_MODE:
        return {
          bins: ['CN1001655', 'CN1000723'],
          locations: ['003.H1.06.03.01', '003.E1.02.03.01']
        }
      default:
        return {
          bins: ['CN0000001', 'CN0000002'],
          locations: ['0HQ.F2.02.05.01', '0HQ.F2.02.05.05']
        }
    }
  })(CURRENT_MODE),
  stripe: {
    token: 'tok_visa'
  },
  transfer: (mode => {
    switch (mode) {
      case PRODUCTION_MODE:
        return {
          email: 'tests+transfer@thinkigo.ee',
          password: 'thinkigoisgreat',
          number: ''
        }
      case STAGING_MODE:
      case DEVELOP_MODE:
        return {
          email: 'tests+transfer@thinkigo.ee.staging',
          password: 'thinkigoisgreat',
          number: ''
        }
      default:
        return {
          email: 'tests+transfer@thinkigo.ee',
          password: 'thinkigoisgreat',
          number: ''
        }
    }
  })(CURRENT_MODE),
  search: {
    user: 'Victoria'
  },
  membership: {
    churned: 'User'
  }
}

console.log(`> Consumer API: ${settings.consumer_api.base_uri}`)
console.log(`>    Admin API: ${settings.admin_api.base_uri}`)
module.exports = settings
